<?php
$absolute_path = explode('wp-content', $_SERVER['SCRIPT_FILENAME']);
$wp_load = $absolute_path[0] . 'wp-load.php';
require_once($wp_load);

/**
Do stuff like connect to WP database and grab user set values
 */

header('Content-Type: text/css; charset: UTF-8');

$google_font = get_field("google_font","options");
$heading_font = get_field("headings_font","options");
if($google_font):
?>
@import <?php echo $google_font["url"]; ?>;
<?php
endif;
if($heading_font):
?>
@import <?php echo $heading_font["url"]; ?>;
<?php
endif;
if($google_font):
?>
body{
    font-family: '<?php echo $google_font['family']; ?>', sans-serif;
}
<?php
endif;
if($heading_font):
?>
h1,h2,h3,h4,h5{
    font-family: '<?php echo $heading_font['family']; ?>', sans-serif;
}
<?php
endif;
if(get_field("h1_size","options")):
?>
h1{
    font-size: <?php the_field("h1_size","options"); ?>px;
}
<?php
endif;
if(get_field("h2_size","options")):
?>
    h2{
    font-size: <?php the_field("h2_size","options"); ?>px;
    }
<?php
endif;
if(get_field("h3_size","options")):
?>
    h3{
    font-size: <?php the_field("h3_size","options"); ?>px;
    }
<?php
endif;
if(get_field("h4_size","options")):
?>
    h4{
    font-size: <?php the_field("h4_size","options"); ?>px;
    }
<?php
endif;
if(get_field("h5_size","options")):
?>
    h5{
    font-size: <?php the_field("h5_size","options"); ?>px;
    }
<?php
endif;
$brand_color = get_field("brand_color","options");
if($brand_color):
?>
    a:hover {
    color: <?php echo $brand_color; ?>;
    }

    * :focus {
    color: <?php echo $brand_color; ?>;
    }


    a {
    color: <?php echo $brand_color; ?>;
    }

    ::selection {
    background: <?php echo $brand_color; ?>; /* WebKit/Blink Browsers */
    }

    ::-moz-selection {
    background: <?php echo $brand_color; ?>; /* Gecko Browsers */
    }

    a.button1 {
    border-color: <?php echo $brand_color; ?>;
    color: <?php echo $brand_color; ?>;
    }

    a.button2:hover {
    border-color: <?php echo $brand_color; ?>;
    color: <?php echo $brand_color; ?>;
    }

    .t-menu .menu_container > ul > li > a:hover {
    border-bottom: 2px solid <?php echo $brand_color; ?>;
    }

    .t-wbar ul li a {
    color: <?php echo $brand_color; ?>;

    }

    .blogpage-post-info p {
    background: <?php echo $brand_color; ?>;
    }

    .usc-ul li a:hover {
    background: <?php echo $brand_color; ?>;
    border-color: <?php echo $brand_color; ?>;
    }

    .plain-home-container ul.product-hover-ul li a {
    background: <?php echo $brand_color; ?> !important;
    }





    ul.blog-recent-posts li a:hover {
    color: <?php echo $brand_color; ?>;
    }


    input.wpcf7-submit:hover {
    border-color: <?php echo $brand_color; ?>;
    color: <?php echo $brand_color; ?>;
    }



    .widget input[type="submit"] {
    border: 2px solid <?php echo $brand_color; ?>;
    color: <?php echo $brand_color; ?>;
    }

    .tt-dataset-products p a:hover {
    background: <?php echo $brand_color; ?>;
    border-color: <?php echo $brand_color; ?>;

    }

    .count_pr  {
    background: <?php echo $brand_color; ?>;
    }

    .gallery-filter ul li a:hover {
    border-color: <?php echo $brand_color; ?>;
    color: <?php echo $brand_color; ?>;
    }

    .gallery-filter ul li.activeFilter a {
    border-color: <?php echo $brand_color; ?>;
    color: <?php echo $brand_color; ?>;
    }



    .singlepost-comments #submit {
    background: <?php echo $brand_color; ?>;
    }

    .singlepost-comments h5 {
    color: <?php echo $brand_color; ?>;
    }

    .fn a {
    color: <?php echo $brand_color; ?>;

    }


    .fn  {
    color: <?php echo $brand_color; ?>;
    }

    ul.accordion li a i, ul.toggle li a i {
    color: <?php echo $brand_color; ?>;
    }


    ul.accordion > li a.active {
    background-color: <?php echo $brand_color; ?>;
    border-color: <?php echo $brand_color; ?>;
    }

    ul.tab_buttons > li a.active {
    background-color: <?php echo $brand_color; ?> !important;
    border-color: <?php echo $brand_color; ?> !important;
    }

    ul.toggle> li a.active {
    background-color: <?php echo $brand_color; ?> !important;
    border-color: <?php echo $brand_color; ?> !important;
    }

    .highlight {
    background-color: <?php echo $brand_color; ?>;
    }


    blockquote cite {
    color: <?php echo $brand_color; ?>;
    }


    .woocommerce div.product p.price, .woocommerce div.product span.price {
    color: <?php echo $brand_color; ?> !important;
    }

    .product_overlay {
    background: <?php echo $brand_color; ?> !important;
    }


    .tagcloud a:hover {
    border-color: <?php echo $brand_color; ?>!important;
    color: <?php echo $brand_color; ?>!important;
    }

    .widget_shopping_cart .buttons a:hover{
    border-color: <?php echo $brand_color; ?>!important;
    color: <?php echo $brand_color; ?>!important;
    }

    span.reviewer {
    color: <?php echo $brand_color; ?>;
    }

    .um_single_product_wrapper .star-rating span:before {
    color: <?php echo $brand_color; ?>;
    }

    a.reset_variations:hover {
    border-color: <?php echo $brand_color; ?>;
    color: <?php echo $brand_color; ?>;
    }


    .single_add_to_cart_button {
    border: 2px solid <?php echo $brand_color; ?> !important;
    color: <?php echo $brand_color; ?> !important;
    }

    .woocommerce div.product .stock {
    color: <?php echo $brand_color; ?> !important;
    }

    .woocommerce #review_form #respond p #submit:hover {
    border-color: <?php echo $brand_color; ?>;
    color: <?php echo $brand_color; ?>;
    }

    .sign-in-container input[type="submit"] {
    color: <?php echo $brand_color; ?>;
    border: 2px solid <?php echo $brand_color; ?>;

    }

    .woocommerce a.button.alt {
    color: <?php echo $brand_color; ?>;
    border: 2px solid <?php echo $brand_color; ?>;

    }

    #payment #place_order {
    background: <?php echo $brand_color; ?> !important;

    }

    .woocommerce .widget_price_filter .ui-slider .ui-slider-range {
    background-color: <?php echo $brand_color; ?>;
    }

    .woocommerce .widget_price_filter .ui-slider .ui-slider-handle {
    background-color: <?php echo $brand_color; ?>;
    }
	
	.t-wbar ul li a:hover {
	  border-bottom: 1px solid <?php echo $brand_color; ?>;
	}

	.um_single_product_wrapper .star-rating span:before {
	  color: <?php echo $brand_color; ?> !important;
	}
<?php
endif;
$background_image = get_field("background_image","options");
if($background_image):
?>
.main_container{
    background-color:#fff;
}
body{
    background-image: url('<?php echo $background_image; ?>');
    background-repeat: <?php echo get_field("background_repeat","options") ? get_field("background_repeat","options") : "repeat repeat"; ?>;
    background-repeat: <?php echo get_field("background_sizing","options") ? get_field("background_sizing","options") : "cover"; ?>;
    background-position: center center;
}
<?php endif; ?>