jQuery(document).ready(function($){

    $("body").on("click","a.um_social_ui_add",function(e){
        e.preventDefault();
        var sample_row = $("table.sample tr:eq(0)").clone();
        $(this).prev().append(sample_row);
        build_json($(this).parents(".um_social_ui_container:eq(0)"));
    });

    $("body").on("click","a.um_social_ui_remove",function(e){
        e.preventDefault();
        $(this).parent().parent().remove();
        build_json($(this).parents(".um_social_ui_container:eq(0)"));
    });

    $("body").on("change",".main_table select , .main_table input",function(e){
        build_json($(this).parents(".um_social_ui_container:eq(0)"));
    });

    function build_json(parent){
        var input_field = parent.next("input:hidden");
        var table = parent.find(".main_table");
        var social_array = [];
        table.find("tr:not(:first-child)").each(function(){
            var social_network = $(this).find("select").val();
            var social_url = $(this).find("input:text").val();
            social_array.push({
                social_network : social_network,
                social_url : social_url
            });
        });
        social_array = base64_encode(JSON.stringify(social_array));
        input_field.val(social_array);
    }
});