<?php
if(!isset($_REQUEST["um_ajax_load_more"])):
$page_for_posts = get_option("page_for_posts");
get_header();
?>
    <div class="page_top">
        <h2><?php echo get_the_title($page_for_posts); ?></h2>
        <p><?php the_field("subtitle",$page_for_posts); ?></p>
    </div>
    <?php
        $sidebar_class = is_active_sidebar("sidebar") ? "col-md-8" : "";
    ?>
    <div class="blog-container col-sm-12 <?php echo $sidebar_class; ?>">
        <div class="posts">
            <?php
endif;
                while($wp_query->have_posts() ):
                    $wp_query->the_post();
                    global $post;
                    setup_postdata($post);
                    $terms = wp_get_post_terms( $post->ID,"category" );
                    $terms_html_array = array();
                    $terms_id_array = array();
                    $term_classes = "";
                    foreach($terms as $t){
                        $term_name = $t->name;
                        $term_link = get_term_link($t->slug,$t->taxonomy);
                        array_push($terms_html_array,"<a href='{$term_link}'>{$term_name}</a>");
                        array_push($terms_id_array,$t->slug);
                        $term_classes .= "um_".$t->slug." ";
                    }
                    $terms_html_array = implode(", ",$terms_html_array);
                    get_template_part("content","single-post");
                endwhile;
if(!isset($_REQUEST["um_ajax_load_more"])):
            ?>
        </div>
        <?php if($wp_query->max_num_pages > 1): ?>
            <a class="load_more_blog btn button2" href="#"><?php _e("Load more","um_lang"); ?></a>
        <?php endif; ?>
    </div>
    <?php if($sidebar_class): ?>
    <div class="blog-sidebar col-md-4 col-sm-12">
        <?php dynamic_sidebar("sidebar"); ?>
    </div>
    <?php endif; ?>
    <script type="text/javascript">
        max_num_of_pages = <?php echo $wp_query->max_num_pages; ?>;
    </script>
<?php
    get_footer();
endif;
?>