<?php
/*
  * Loggin Part
  * */
$messages = "";
if(isset($_REQUEST["email"]) && isset($_REQUEST["password"]) && isset($_REQUEST["passwordconfirm"])){
    if( isset($_REQUEST["_wpnonce"]) && wp_verify_nonce( $_REQUEST["_wpnonce"] , 'um_register' ) ){

        $email = $_REQUEST["email"];
        $password = $_REQUEST["password"];
        $passwordconfirm = $_REQUEST["passwordconfirm"];

        if($password != $passwordconfirm){
            $messages = __("Password does not match","um_lang");
        }
        else if(null != username_exists( $email )){
            $messages = __("This e-mail address exists, please register with another one","um_lang");
        }else if(!filter_var($email, FILTER_VALIDATE_EMAIL)){
            $messages = __("Please use a valid e-mail address","um_lang");
        }
        else{
            $user_data = array(
                'user_login'  =>  $email,
                'user_pass'   =>  $password,
                'user_email' => $email,
            );
            $user_id = wp_insert_user( $user_data );
            // Set the role
            $user = new WP_User( $user_id );
            $user->set_role( 'subscriber' );

            //Login the new user
            $creds = array();
            $creds['user_login'] = $email;
            $creds['user_password'] = $password;
            $creds['remember'] = true;
            $user = wp_signon( $creds, false );

            // Email the user
            if(get_field("sent_email_to_registered_users","options") != "no"){
            $site_name = get_bloginfo("name");
            $site_url = home_url();
            $headers = 'From: '.$site_name.' <'.$email.'>' . "\r\n";
                $message = "
Welcome at {$site_name}
To login please go to {$site_url}

Your username is : {$email}
Your password is : {$password}
";
            if(get_field("registration_email","options")){
                $message = get_field("registration_email","options");
                $message = str_replace("{site_name}",$site_name,$message);
                $message = str_replace('{site_url}',$site_url,$message);
                $message = str_replace('{email}',$email,$message);
                $message = str_replace('{password}',$password,$message);
            }
            //echo $message;
            wp_mail($email,__("Welcome at : ").$site_name,$message,$headers);
            }
            wp_redirect(home_url());
        }
    }else{
        $messages = __("Couldn't verify nonce, or nonce is not set","um_lang");
    }
}
get_header();
?>
<?php if($messages): ?>
    <div class="woocommerce">
        <div class="woocommerce-error">
            <?php echo $messages; ?>
        </div>
    </div>
<?php endif; ?>

    <div class="sign-in-container">
        <h3><?php _e("Create an account","um_lang");?></h3>
        <form action="" method="post">
            <div class="form-group">
                <input type="text" name="email" placeholder="<?php _e("E-mail","um_lang");?>"  id="email" value="<?php echo isset($_REQUEST["email"]) ? $_REQUEST["email"] : ""; ?>"/>
            </div>
            <div class="form-group">
                <input type="password" name="password" placeholder="<?php _e("Password","um_lang");?>" id="password"/>
            </div>
            <div class="form-group">
                <input type="password" name="passwordconfirm" placeholder="<?php _e("Re-type password","um_lang");?>"  id="passwordconfirm"/>
            </div>
            <div class="form-group">
                <input type="submit" value="<?php _e("Register","um_lang");?>"/>
            </div>
            <?php wp_nonce_field('um_register'); ?>
        </form>
    </div>
<?php get_footer(); ?>