<?php
$messages = "";
$cool_message = "";
if(isset($_REQUEST["username"])){
    $username = $_REQUEST["username"];
    unset($_REQUEST["username"]);
    if(is_email($username)){
        $user_data = get_user_by("email",$username);
        if($user_data->ID){
            //include ABSPATH."wp-login.php";
            $user_login = $user_data->user_login;
            $user_email = $user_data->user_email;
            $key = wp_generate_password( 20, false );
            $wp_hasher = new PasswordHash( 8, true );
            $hashed = $wp_hasher->HashPassword( $key );
            global $wpdb;
            $wpdb->update( $wpdb->users, array( 'user_activation_key' => $hashed ), array( 'user_login' => $user_login ) );
            $message = __('Someone requested that the password be reset for the following account:') . "\r\n\r\n";
            $message .= network_home_url( '/' ) . "\r\n\r\n";
            $message .= sprintf(__('Username: %s'), $user_login) . "\r\n\r\n";
            $message .= __('If this was a mistake, just ignore this email and nothing will happen.') . "\r\n\r\n";
            $message .= __('To reset your password, visit the following address:') . "\r\n\r\n";
            $message .= '<' . network_site_url("wp-login.php?action=rp&key=$key&login=" . rawurlencode($user_login), 'login') . ">\r\n";
            if ( is_multisite() ){
                $blogname = $GLOBALS['current_site']->site_name;
            }
            else {
                $blogname = wp_specialchars_decode(get_option('blogname'), ENT_QUOTES);
            }
            $title = sprintf( __('[%s] Password Reset'), $blogname );
            if(wp_mail( $user_email, wp_specialchars_decode( $title ), $message )){
                $cool_message = __("An e-mail with insctructions how to reset password was sent to you","um_lang");
            }else{
                $messages = __("Unable to send reset password e-mail","um_lang");
            }
        }
    }else{
        $messages = __("Please use a valid e-mail address","um_lang");
    }
}
get_header();
?>
    <?php if($cool_message): ?>
    <div class="woocommerce">
        <div class="woocommerce-info">
            <?php echo $cool_message; ?>
        </div>
    </div>
    <?php endif; ?>
    <?php if($messages): ?>
        <div class="woocommerce">
            <div class="woocommerce-error">
                <?php echo $messages; ?>
            </div>
        </div>
    <?php endif; ?>

    <div class="sign-in-container">
        <h3><?php _e("Reset Password","um_lang");?></h3>
        <form action="" method="post">
            <div class="form-group">
                <input type="text" name="username" placeholder="<?php _e("E-mail","um_lang");?>" id="username"/>
            </div>
            <div class="form-group">
                <input type="submit" value="<?php _e("Reset","um_lang");?>"/>
            </div>
            <?php wp_nonce_field('um_signin'); ?>
        </form>
    </div>
<?php get_footer(); ?>