<?php
if(isset($_REQUEST["um_ajax_load_more"])){
    $meta_query = WC()->query->get_meta_query();
    $args = array(
        'post_type'           => 'product',
        'post_status'         => 'publish',
        'ignore_sticky_posts' => 1,
        'meta_query'          => $meta_query,
        'posts_per_page' 	=> 6,
        'paged'             => $_REQUEST["paged"]
    );
    $products = new WP_Query($args);
    global $woocommerce_loop;
    $woocommerce_loop['columns'] = 1;
    while ( $products->have_posts() ) : $products->the_post();
        global $post;
        $product = new WC_Product($post);
        wc_get_template_part("content","product");
    endwhile;
    die;
}
/*Template Name:Home Plain*/
get_header();
?>
    <div class="col-md-8 col-md-offset-2 row plain-home-container">
        <!--headline-->
        <?php
            $text = get_field("text");
            $button_url = get_field("button_url");
            $button_text = get_field("button_text");
            if($text) {
                echo do_shortcode("[um_headline url='{$button_url}' button_text='{$button_text}']{$text}[/um_headline]");
            }
            global $post;
            setup_postdata($post);
            the_content();
        ?>

        <!--feed-->
        <div class="products-feed woocommerce">
        <?php
            $meta_query = WC()->query->get_meta_query();
            $args = array(
                'post_type'           => 'product',
                'post_status'         => 'publish',
                'ignore_sticky_posts' => 1,
                'meta_query'          => $meta_query,
                'posts_per_page' 	=> 6,
            );
            $products = new WP_Query($args);
            global $woocommerce_loop;
            $woocommerce_loop['columns'] = 1;
            while ( $products->have_posts() ) : $products->the_post();
                global $post;
                $product = new WC_Product($post);
                wc_get_template_part("content","product");
            endwhile;
        ?>
        </div>
    </div>
    <script type="text/javascript">
        max_num_of_pages = <?php echo $products->max_num_pages; ?>;
    </script>
<?php get_footer(); ?>