<?php echo do_shortcode("[um_um_widgetized sidebar='footer']"); ?>
<div class="clearfix"></div>
<div class="copyright-section um_section">
    <p><?php the_field("footer_text","options"); ?></p>
    <div class="clearfix"></div>
    <?php if(get_field("footer_image","options")): $image = get_field("footer_image","options"); ?>
        <img src="<?php echo $image["url"]; ?>" alt="<?php echo $image["alt"]; ?>"/>
    <?php endif; ?>
</div>
</div>

<?php if(get_field("custom_css","options")): ?>
    <style type="text/css">
        <?php the_field("custom_css","options"); ?>
    </style>
<?php endif; ?>
<?php
if(get_field("enable_custom_font","options") == "Enabled"):
    $font_files = array();
    array_push($font_files,get_field("eot_file","options"));
    array_push($font_files,get_field("woff_file","options"));
    array_push($font_files,get_field("ttf_file","options"));
    array_push($font_files,get_field("svg_file","options"));
    ?>
    <style type="text/css">
        @font-face {
            font-family: '<?php the_field("font_family","options"); ?>';
            src: url('<?php the_field("eot_file","options"); ?>');
            src: <?php echo implode(",",$font_files); ?>;
            font-weight: normal;
            font-style: normal;
        }
        body{
            font-family: '<?php the_field("font_family","options"); ?>';
        }
    </style>
<?php endif; ?>
<?php if(get_field("custom_javascript","options")): ?>
    <script type="text/javascript">
        <?php the_field("custom_javascript","options"); ?>
    </script>
<?php endif; ?>
<?php if(get_field("google_analytics","options")): ?>
    <?php the_field("google_analytics","options"); ?>
<?php endif; ?>
</body>

<?php wp_footer(); ?>
</html>
