<?php
/*
  * Loggin Part
  * */
$messages = "";
if(isset($_REQUEST["username"]) && isset($_REQUEST["password"])){
    if( isset($_REQUEST["_wpnonce"]) && wp_verify_nonce( $_REQUEST["_wpnonce"] , 'um_signin' ) ){

        $username = $_REQUEST["username"];
        $password = $_REQUEST["password"];
        $remember = isset($_REQUEST["remember"]) ? $_REQUEST["remember"] : false;

        if(is_email($username)){
            $username = get_user_by("email",$username)->user_login;
        }
        $creds = array();
        $creds['user_login'] = $username;
        $creds['user_password'] = $password;
        $creds['remember'] = $remember;
        $user = wp_signon( $creds, false );
        if( is_wp_error($user) ){
            $messages = __("Loggin failed, your password or email is wrong !!","um_lang");
        }else{
            wp_redirect(home_url());
        }
    }else{
        $messages = __("Couldn't verify nonce, or nonce is not set","um_lang");
    }
}
get_header();
?>
    <?php if($messages): ?>
        <div class="woocommerce">
            <div class="woocommerce-error">
                <?php echo $messages; ?>
            </div>
        </div>
    <?php endif; ?>

    <div class="sign-in-container">
        <h3><?php _e("Sign in","um_lang");?></h3>
            <form action="" method="post">
                <div class="form-group">
                    <input type="text" name="username" placeholder="<?php _e("E-mail","um_lang");?>" id="username"/>
                </div>
                <div class="form-group">
                    <input type="password" name="password" placeholder="<?php _e("Password","um_lang");?>" id="password"/>
                </div>
                <div class="form-group rmb-psw">
                    <input type="checkbox" name="remember" id="remember"/>
                    <label for="remember"><?php _e("Remember Me","um_lang");?></label>
                </div>
                <div class="form-group rmb-psw">
                    <a href="<?php echo site_url()."/reset-password"; ?>"><?php _e("Reset Password","um_lang");?></a>
                </div>
                <div class="form-group">
                    <input type="submit" value="<?php _e("Login","um_lang");?>"/>
                </div>
                <?php wp_nonce_field('um_signin'); ?>
            </form>
    </div>
<?php get_footer(); ?>